MyGUI: Data Fields

MyGUI 3.2.2

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - i -

- I : MyGUI::KeyCode
- IBDrawItemInfo() : MyGUI::IBDrawItemInfo
- IBNotifyItemData() : MyGUI::IBNotifyItemData
- ICroppedRectangle() : MyGUI::ICroppedRectangle
- id : MyGUI::IBNotifyItemData , MyGUI::MenuControl::ItemInfo
- IDelegate : delegates::CDelegateMYGUI_SUFFIX , delegates::CMultiDelegateMYGUI_SUFFIX
- IDelegateUnlink() : MyGUI::delegates::IDelegateUnlink
- IFont() : MyGUI::IFont
- IItem() : MyGUI::IItem
- IItemContainer() : MyGUI::IItemContainer
- ILayer() : MyGUI::ILayer
- ImageBox() : MyGUI::ImageBox
- ImageIndexInfo() : MyGUI::ImageIndexInfo
- ImageItem() : MyGUI::ImageItem
- images : MyGUI::ImageItem
- InconsistentOpenCloseElements : MyGUI::xml::ErrorType
- IncorrectAttribute : MyGUI::xml::ErrorType
- IncorrectContent : MyGUI::xml::ErrorType
- index : MyGUI::DDWidgetState , MyGUI::IBDrawItemInfo , MyGUI::IBNotifyItemData , MyGUI::ToolTipInfo
- indexes : MyGUI::GroupImage
- IndexImage() : MyGUI::IndexImage
- Info : MyGUI::LogLevel
- initialise() : MyGUI::BackwardCompatibility , MyGUI::ClipboardManager , MyGUI::ControllerManager , MyGUI::DynLibManager , MyGUI::FactoryManager , MyGUI::FontManager , MyGUI::Gui , MyGUI::InputManager , MyGUI::LanguageManager , MyGUI::LayerManager , MyGUI::LayoutManager , MyGUI::PluginManager , MyGUI::PointerManager , MyGUI::ResourceManager , MyGUI::ResourceTrueTypeFont , MyGUI::SkinManager , MyGUI::SubWidgetManager , MyGUI::ToolTipManager , MyGUI::WidgetManager
- initialiseOverride() : MyGUI::Button , MyGUI::Canvas , MyGUI::ComboBox , MyGUI::EditBox , MyGUI::ItemBox , MyGUI::ListBox , MyGUI::MenuControl , MyGUI::MenuItem , MyGUI::MultiListBox , MyGUI::MultiListItem , MyGUI::ProgressBar , MyGUI::ScrollBar , MyGUI::ScrollView , MyGUI::TabControl , MyGUI::TabItem , MyGUI::Widget , MyGUI::Window
- initialize() : MyGUI::IPlugin
- injectFrameEntered() : MyGUI::MemberObsolete< Gui >
- injectKeyPress() : MyGUI::InputManager , MyGUI::MemberObsolete< Gui >
- injectKeyRelease() : MyGUI::InputManager , MyGUI::MemberObsolete< Gui >
- injectMouseMove() : MyGUI::InputManager , MyGUI::MemberObsolete< Gui >
- injectMousePress() : MyGUI::InputManager , MyGUI::MemberObsolete< Gui >
- injectMouseRelease() : MyGUI::InputManager , MyGUI::MemberObsolete< Gui >
- InputManager() : MyGUI::InputManager
- Insert : MyGUI::KeyCode
- insert() : MyGUI::UString
- insertColumn() : MyGUI::MemberObsolete< MultiListBox >
- insertColumnAt() : MyGUI::MultiListBox
- insertItem() : MyGUI::ImageBox , MyGUI::MemberObsolete< ComboBox > , MyGUI::MemberObsolete< ItemBox > , MyGUI::MemberObsolete< ListBox > , MyGUI::MemberObsolete< MultiListBox > , MyGUI::MenuControl , MyGUI::TabControl
- insertItemAt() : MyGUI::BiIndexBase , MyGUI::ComboBox , MyGUI::ItemBox , MyGUI::ListBox , MyGUI::MenuControl , MyGUI::MultiListBox , MyGUI::TabControl
- insertItemFrame() : MyGUI::ImageBox
- insertItemFrameDublicate() : MyGUI::MemberObsolete< ImageBox >
- insertItemFrameDuplicate() : MyGUI::ImageBox
- insertSheet() : MyGUI::MemberObsolete< TabControl >
- insertText() : MyGUI::EditBox , MyGUI::TextIterator
- inside() : MyGUI::types::TCoord< T > , MyGUI::types::TRect< T >
- install() : MyGUI::IPlugin
- installPlugin() : MyGUI::PluginManager
- inString() : MyGUI::UString
- intCoord : MyGUI::WidgetInfo
- intersect() : MyGUI::types::TRect< T >
- invalid_data() : MyGUI::UString::invalid_data
- invoke() : delegates::CMethodDelegateMYGUI_SUFFIX , delegates::CStaticDelegateMYGUI_SUFFIX , delegates::IDelegateMYGUI_SUFFIX
- IObject() : MyGUI::IObject
- IPlugin() : MyGUI::IPlugin
- IPointer() : MyGUI::IPointer
- IRenderTarget() : MyGUI::IRenderTarget
- IResource() : MyGUI::IResource
- isBottom() : MyGUI::Align
- isCaptureMouse() : MyGUI::InputManager
- isCenter() : MyGUI::Align
- isColour() : MyGUI::CharInfo
- isControlPressed() : MyGUI::InputManager
- isDataExist() : MyGUI::DataManager
- isDefault() : MyGUI::Align
- isEnabled() : MyGUI::MemberObsolete< Widget >
- ISerializable() : MyGUI::ISerializable
- isExist() : MyGUI::LayerManager , MyGUI::LayoutManager , MyGUI::ResourceManager , MyGUI::SkinManager
- isFactoryExist() : MyGUI::FactoryManager , MyGUI::WidgetManager
- isFocusKey() : MyGUI::InputManager
- isFocusMouse() : MyGUI::InputManager
- isFormatSupported() : MyGUI::RenderManager
- isHCenter() : MyGUI::Align
- isHorizontal() : MyGUI::FlowDirection
- isHStretch() : MyGUI::Align
- isIgnoreProperty() : MyGUI::BackwardCompatibility
- isInheritsAlpha() : MyGUI::MemberObsolete< Widget >
- isInheritsPick() : MyGUI::MemberObsolete< Widget >
- isItemSelectedVisible() : MyGUI::ListBox
- isItemSelectVisible() : MyGUI::MemberObsolete< ListBox >
- isItemVisible() : MyGUI::MemberObsolete< ListBox >
- isItemVisibleAt() : MyGUI::ListBox
- isLeft() : MyGUI::Align
- isLocked() : MyGUI::Canvas , MyGUI::ITexture
- isMaskPickInside() : MyGUI::WidgetInput
- isModalAny() : MyGUI::InputManager
- isNeedKeyFocus() : MyGUI::MemberObsolete< Widget >
- isNeedMouseFocus() : MyGUI::MemberObsolete< Widget >
- isOutOfDate() : MyGUI::LayerNode , MyGUI::OverlappedLayer , MyGUI::RenderItem , MyGUI::SharedLayer
- isPO2() : MyGUI::Bitwise
- isRight() : MyGUI::Align
- isRootWidget() : MyGUI::Widget
- isShiftPressed() : MyGUI::InputManager
- isShow() : MyGUI::MemberObsolete< PointerManager >
- isShowHScroll() : MyGUI::MemberObsolete< EditBox > , MyGUI::MemberObsolete< ScrollView >
- isShowMenu() : MyGUI::MemberObsolete< MenuControl >
- isShowPointer() : MyGUI::MemberObsolete< Gui >
- isShowVScroll() : MyGUI::MemberObsolete< EditBox > , MyGUI::MemberObsolete< ScrollView >
- isStretch() : MyGUI::Align
- isTextSelect() : MyGUI::MemberObsolete< EditBox >
- isTextSelection() : MyGUI::EditBox
- isTextureCreated() : MyGUI::Canvas
- isTextureManaged() : MyGUI::Canvas
- isTextureSrcSize() : MyGUI::Canvas
- isTop() : MyGUI::Align
- isType() : delegates::CMethodDelegateMYGUI_SUFFIX , delegates::CStaticDelegateMYGUI_SUFFIX , delegates::IDelegateMYGUI_SUFFIX , MyGUI::Button , MyGUI::Canvas , MyGUI::ComboBox , MyGUI::ControllerEdgeHide , MyGUI::ControllerFadeAlpha , MyGUI::ControllerItem , MyGUI::ControllerPosition , MyGUI::ControllerRepeatClick , MyGUI::DDContainer , MyGUI::EditBox , MyGUI::EditText , MyGUI::EditTextStateInfo , MyGUI::HScroll , MyGUI::IFont , MyGUI::ILayer , MyGUI::ILayerNode , MyGUI::ImageBox , MyGUI::IObject , MyGUI::IPointer , MyGUI::IResource , MyGUI::ISerializable , MyGUI::IStateInfo , MyGUI::ISubWidget , MyGUI::ISubWidgetRect , MyGUI::ISubWidgetText , MyGUI::ItemBox , MyGUI::LayerNode , MyGUI::ListBox , MyGUI::MainSkin , MyGUI::MenuBar , MyGUI::MenuControl , MyGUI::MenuItem , MyGUI::MultiListBox , MyGUI::MultiListItem , MyGUI::OverlappedLayer , MyGUI::PolygonalSkin , MyGUI::PopupMenu , MyGUI::ProgressBar , MyGUI::ResourceImageSet , MyGUI::ResourceImageSetPointer , MyGUI::ResourceLayout , MyGUI::ResourceManualFont , MyGUI::ResourceManualPointer , MyGUI::ResourceSkin , MyGUI::ResourceTrueTypeFont , MyGUI::RotatingSkin , MyGUI::RotatingSkinStateInfo , MyGUI::ScrollBar , MyGUI::ScrollView , MyGUI::SharedLayer , MyGUI::SharedLayerNode , MyGUI::SimpleText , MyGUI::SubSkin , MyGUI::SubSkinStateInfo , MyGUI::TabControl , MyGUI::TabItem , MyGUI::TextBox , MyGUI::TileRect , MyGUI::TileRectStateInfo , MyGUI::VScroll , MyGUI::Widget , MyGUI::Window
- ISubWidget() : MyGUI::ISubWidget
- isUserString() : MyGUI::UserData
- isValue() : MyGUI::TextureUsage
- isVCenter() : MyGUI::Align
- isVertical() : MyGUI::FlowDirection
- isVisible() : MyGUI::MemberObsolete< Widget > , MyGUI::PointerManager
- isVisibleCursor() : MyGUI::EditText , MyGUI::ISubWidgetText
- isVisibleHScroll() : MyGUI::EditBox , MyGUI::ScrollView
- isVisiblePointer() : MyGUI::MemberObsolete< Gui >
- isVisibleVScroll() : MyGUI::EditBox , MyGUI::ScrollView
- isVStretch() : MyGUI::Align
- item : MyGUI::MenuControl::ItemInfo , MyGUI::TabControl::TabItemInfo
- ItemBox() : MyGUI::ItemBox
- ItemDataInfo() : MyGUI::ItemBox::ItemDataInfo
- ItemInfo() : MyGUI::MenuControl::ItemInfo
- iterator : MyGUI::UString